import { createRouter, createWebHashHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'

const routes = [
  {
    path: '/',
    name: 'Home',
    component: HomeView
  },
  {
    path: '/chat',
    name: 'Chat',
    component: () => import('../views/NewChatPage.vue')
  }
]

const router = createRouter({
  history: createWebHashHistory(location.pathname),
  routes
})

export default router
